/* change creator to whatever creator you want the docs converted to */

#include "myFilter.h"

#define	Creator	'ttxt';	/* change this to the Creator you want */

OSErr		HandleFile( FSSpec *);
char 		*pStrcpy(char *,char *); /* to copy strings for the dialogs */

/********************************** Main **********************/

short			main( theBlock)
FTBlockPtr		theBlock;
{
	callBackPtr		callBack;
	FSSpec			*inList;
	long			inCount;
	OSErr			err, cbErr;
	short			i;
	
	callBack = theBlock->callBackProc;
	inCount = theBlock->inFileCount;
	inList = theBlock->inFileList;
	
	theBlock->message = FILTER_HANDLE_EVENT;	/* fill out the message parameter in the block */
	cbErr = (*callBack)( theBlock);				/* Handle a couple of events back in the app */
	cbErr = (*callBack)( theBlock);
	
	err = noErr;
	for( i = 0; i < inCount && err  == noErr; ++i)			/* index thru the files */
		err = HandleFile( &inList[i]);
	if( err != noErr)
	{
		pStrcpy((char *)theBlock->string0, (char *)"\pChange Creator Failed");
		theBlock->message = DO_ALERT_STRING;	/* fill out the message parameter in the block */
		cbErr = (*callBack)( theBlock);			
	}
	return err;
}

/******************************** HandleFile ***********************/

/* Here is where the actual filtering of each file takes place */

OSErr		HandleFile( myFSS)
FSSpec		*myFSS;
{
	FInfo	fileInfo;
	OSErr	err;
	short	i;
	
	err = FSpGetFInfo( myFSS, &fileInfo );		/* get the FInfo for the file */
	if( err == noErr)
	{
		fileInfo.fdCreator = Creator; 					/* change creator */		
		err = FSpSetFInfo( myFSS, &fileInfo );	/* set the new FInfo for the file */
	}
	return err;
}

/********************************** pStrcpy *************************************/

char *pStrcpy(s,t)
	char *s, *t;
{
	short	tLen;

	for (tLen = *t + 1; tLen--; s[tLen] = t[tLen]);
	return (s);
}

