/* change the flags in the FInfo record */

#include "myFilter.h"

OSErr		HandleFile( FSSpec *);
char 		*pStrcpy(char *,char *); /* to copy strings for the dialogs */

/********************************** Main **********************/

short			main( theBlock)
FTBlockPtr		theBlock;
{
	callBackPtr		callBack;
	FSSpec			*inList;
	long			inCount;
	short			i;
	OSErr			err;
	
	callBack = theBlock->callBackProc;
	inCount = theBlock->inFileCount;
	inList = theBlock->inFileList;

	theBlock->message = FILTER_HANDLE_EVENT;
	err = (*callBack)(theBlock);		/* Handle a couple of events back in the app */
	err = (*callBack)(theBlock);
	
	for( i = 0; i < inCount; ++i)			/* index thru the files */
		if( ( err = HandleFile( &inList[i]) ) != noErr) break;
	if( err != noErr)
	{
		pStrcpy((char *)theBlock->string0, (char *)"\pLock/Unlock Failed");
		theBlock->message = DO_ALERT_STRING;
		err = (*callBack)( theBlock);			
	}
	return err;
}

/******************************** HandleFile ***********************/

/* Here is where the actual filtering of each file takes place */

OSErr	HandleFile( myFSS)
FSSpec	*myFSS;
{
	/*FSpSetFLock( myFSS);*/	/* lock */
	FSpRstFLock( myFSS);	/* unlock */
	return 0;
}

/********************************** pStrcpy *************************************/

char *pStrcpy(s,t)
	char *s, *t;
{
	short	tLen;

	for (tLen = *t + 1; tLen--; s[tLen] = t[tLen]);
	return (s);
}

