#include		"myDialogs.h"

/************************************ defines **************************/

#define OK_BUTTON			1
#define CANCEL_BUTTON		2
#define TEXT_FIELD			4

/****************************** HandleTextEntryDialog *****************************/

short			HandleTextEntryDialog( userString)
StringPtr		userString;
{
	DialogPtr	dialog;
	short		itemHit, itemType, dialogDone = FALSE;
	long		alarmDelay;
	Rect		itemRect;
	Handle		itemHandle;
	
	dialog = GetNewDialog( 400, 0L, (WindowPtr)-1L);
	ShowWindow( dialog);
	
	while ( dialogDone == FALSE)
	{
		ModalDialog( 0L, &itemHit);
		switch ( itemHit )
		{
			case OK_BUTTON :
				GetDItem( dialog, TEXT_FIELD, &itemType, &itemHandle, &itemRect);
				GetIText( itemHandle, userString);
				HideWindow ( dialog);
				dialogDone = TRUE;
				break;

			case CANCEL_BUTTON :
				HideWindow ( dialog);
				userString[0] = 0;
				dialogDone = TRUE;
				break;
		}
	}
	if ( dialog != 0L )
		DisposDialog( dialog );
	return 0;
}
