/* myString.c */

#include	"myString.h"

/*********************************** pStrcpy ***************************/
/* Copy Pascal String, returns destination string */

char 		*pStrcpy(s,t)
	char	*s, *t;
{
	short	tLen;

	for (tLen = *t + 1; tLen--; s[tLen] = t[tLen]);
	return (s);
}


/*********************************** PStrCompare ***************************/
/* case insensitive string compare, returns true if same */

Boolean	PStrCompare( str1, str2)
char	*str1, *str2;
{
	Boolean	result;
	
	asm {
		move.l	str1,a0
		move.l	str2,a1
		moveq	#0,d1
		move.b	(a0)+,d1				;compare two string lengths
		cmp.b	(a1)+,d1
		bne.s	@false
		tst.b	d1
		beq.s	@true					;zero length strings return true
		subq	#1,d1
	@1	move.b	(a0)+,d0				;compare the strings until done
		and.b	#0x5f,d0				;quick and dirty conversion to upper case
		move.b	(a1)+,d2
		and.b	#0x5f,d2
		cmp.b	d2,d0
		bne.s	@false
		dbra	d1,@1
	@true
		move.b	#true,result
		bra.s	@2
	@false
		move.b	#false,result
	@2	
		}
	return( result);
}

