/* change the flags in the FInfo record */

#include	"myFilter.h"

OSErr		HandleFile( FSSpec *);
char 		*pStrcpy(char *,char *); /* to copy strings for the dialogs */

/********************************** Main **********************/

short			main( theBlock)
FTBlockPtr		theBlock;
{
	short			i;
	callBackPtr		callBack;
	FSSpec			*inList;
	long			inCount;
	OSErr			err;
	
	callBack = theBlock->callBackProc;
	inCount = theBlock->inFileCount;
	inList = theBlock->inFileList;

	theBlock->message = FILTER_HANDLE_EVENT;
	err = (*callBack)( theBlock);			/* Handle a couple of events back in the app */
	err = (*callBack)( theBlock);
	
	err = noErr;
	for( i = 0; i < inCount; ++i)			/* index thru the files */
		if(( err = HandleFile( &inList[i]))!=noErr) break;
	if( err != noErr)
	{
		pStrcpy((char *)theBlock->string0, (char *)"\pFile Info Error");
		theBlock->message = DO_ALERT_STRING;
		err = (*callBack)( theBlock);			
	}	
	return err;
}

/******************************** HandleFile ***********************/

/* Here is where the actual filtering of each file takes place */

OSErr	HandleFile( myFSS)
FSSpec	*myFSS;
{
	FInfo	fileInfo;
	OSErr	err;
	
	err = FSpGetFInfo( myFSS, &fileInfo );		/* get the FInfo for the file */
	if( err != noErr) return err;
	else
	{
		fileInfo.fdFlags &= ~fInvisible;					/* make visible */
		/*fileInfo.fdFlags |= fInvisible;	*/				/* make invisible */
		err = FSpSetFInfo( myFSS, &fileInfo );	/* set the new FInfo for the file */
	}
	return err;
}

/********************************** pStrcpy *************************************/

char *pStrcpy(s,t)
	char *s, *t;
{
	short	tLen;

	for (tLen = *t + 1; tLen--; s[tLen] = t[tLen]);
	return (s);
}

