/* main.c */

#include	"main.h"
#include	"myAEevents.h"
#include	"events.h"
#include	"filter.h"
#include	"fileUtils.h"

extern ListHandle		gFilterList;

/**************************** main *************************/

main() 
{	
	ToolBoxInit();
	if( !CheckAEAvailable())						
		StopAlert( 404, 0L);	/* not system 7 */
	else
	{
		InitMyCursors();
		MenuBarInit();
		GetAppDir();
		WindowInit();
		FileFilterInit();
		AddFilters( gFilterList);
		lockFilterHandles();
		
		if( InitAppleEvents() == noErr)
			MainLoop();
			
		unLockFilterHandles();
		FileFilterKill();
	}
}

/********************** ToolBoxInit *************************/

void	ToolBoxInit( void) 
{
	InitGraf(&thePort);
	InitFonts();
	FlushEvents(everyEvent, 0);
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(0L);
	InitCursor();
}

